function showChartBase(id, type, data) {
    this.id = id;
    this.color = ['#F25155', '#FAAB4F', '#26B4E1', '#00C257'];
    this.options = {};
    this.init(type, data);
}
showChartBase.constructor = showChartBase;
showChartBase.prototype.init = function (type, data) {
    var oThis = this;
    type = type || '';
    switch (type) {
        case 'stackbar':
            var _series = [];
            var _legend = data.legend;
            var _yAixs = data.yAixs;
            var _xName = data.xName;
            var _yName = data.yName;
            var _title = data.title;
            for (var i = 0; i < data.series.length; i++) {
                _series.push({
                    name: _legend[i],
                    type: 'bar',
                    stack: '总量',
                    barWidth: 30,
                    itemStyle: {
                        color: oThis.color[i],
                    },
                    label: {
                        normal: {
                            show: true,
                            position: 'inside'
                        }
                    },
                    data: data.series[i]
                })
            }
            console.log(_series);

            this.options = {
                title: {
                    text: _title,
                    // subtext: '纯属虚构',
                    x: 'center',
                    textStyle: {
                        fontSize:14,
                    }
                },
                animation: false,
                tooltip: {
                    trigger: 'axis',
                    axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                        type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
                    }
                },
                legend: {
                    orient: 'horizontal',
                    left: 'left',
                    data: _legend
                },
                grid: {
                    left: '60',
                    right: '100',
                    bottom: '3%',
                    containLabel: true
                },
                xAxis: {
                    name: _xName,
                    type: 'value',
                    nameTextStyle: {
                        color: "#000",
                        fontSize: 16,
                    }
                },
                yAxis: {
                    name: _yName,
                    type: 'category',
                    minInterval: 1,
                    data: _yAixs,
                    nameTextStyle: {
                        color: "#000",
                        fontSize: 16,
                    }
                },
                series: _series
            };
            break
        case 'pie':
            var _series = [];
            var _legend = data.legend;
            var _title = data.title;
            for (var i = 0; i < _legend.length; i++) {
                _series.push({
                    value: data.series[i],
                    name: _legend[i],
                    itemStyle: { color: oThis.color[i] }
                })
            }
            console.log(_series);
            this.options = {
                title: {
                    text: _title,
                    // subtext: '纯属虚构',
                    x: 'center',
                    textStyle: {
                        fontSize:14,
                    }
                },
                animation: false,
                tooltip: {
                    trigger: 'item',
                    formatter: "{a} <br/>{b} : {c} ({d}%)"
                },
                legend: {
                    orient: 'horizontal',
                    left: 'left',
                    data: _legend
                },

                series: [
                    {
                        name: '风险分布：',
                        type: 'pie',
                        radius: '55%',
                        center: ['50%', '60%'],
                        label: {
                            normal: {
                                show: true,
                                formatter: '{b}: {c}({d}%)'
                            }
                        },
                        data: _series,
                        itemStyle: {
                            emphasis: {
                                shadowBlur: 10,
                                shadowOffsetX: 0,
                                shadowColor: 'rgba(0, 0, 0, 0.5)'
                            }
                        }
                    }
                ]
            };
            break
    
        case 'stackbar1':
            var _series = [];
            var _legend = data.legend;
            var _yAixs = data.yAixs;
            var _xName = data.xName;
            var _yName = data.yName;
            var _title = data.title;
            for (var i = 0; i < data.series.length; i++) {
                _series.push({
                    name: _legend[i],
                    type: 'bar',
                    stack: '总量',
                    barWidth: 30,
                    itemStyle: {
                        color: oThis.color[i],
                    },
                    data: data.series[i]
                })
            }
            console.log(_series);

            this.options = {
                title: {
                    text: _title,
                    // subtext: '纯属虚构',
                    x: 'center',
                    textStyle: {
                        fontSize:14,
                    }
                },
                animation: false,
                tooltip: {
                    trigger: 'axis',
                    axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                        type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
                    },
                    textStyle: {
                        align: 'left',
                        fontSize: 10,
                    }
                },
                legend: {
                    right: 100,
                    bottom:0,
                    data: _legend,
                    align:'left',
                    orient: "horizontal",
                    icon: "circle",   //  这个字段控制形状  类型包括 circle，rect ，roundRect，triangle，diamond，pin，arrow，none
                    itemWidth: 10,  // 设置宽度
                    itemHeight: 10, // 设置高度
                },
                grid: {
                    left: 80,
                    right: 80
                },
                yAxis: {
                    name: _xName,
                    data: _yAixs,
                    axisLabel: {
                        interval: 0,
                        rotate: 20,
                        fontSize: '10',
                        formatter: function (val) {
                            var strs = val.split(''); //字符串数组
                            var str = ''
                            for (var i = 0, s; s = strs[i++];) { //遍历字符串数组
                                str += s;
                                if (!(i % 10)) str += '\n'; //按需要求余
                            }
                            return str
                        }
                    },
                },
                xAxis: {
                    name: _yName,
                    minInterval: 1,
                },
                series: _series
            };
            break 
        
        case 'stackbar2'://普通柱状图
            var _data = data
            var _title = data.title;
            var _legend = data.legend;
            var _yAixs = data.yAixs;
            var _xName = data.xName;
            var _yName = data.yName;
            this.options = {
                title: {
                    text: _title,
                    // subtext: '纯属虚构',
                    x: 'center',
                    textStyle: {
                        fontSize:14,
                    }

                },
                tooltip: {
                    trigger: 'axis',
                    axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                        type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
                    },
                    textStyle: {
                        align: 'left',
                        fontSize:10,
                    }
                },
                legend: {
                    data:  _data['axisData']
                },
                grid:{
                    left:80,
                    right:100,
                },
                yAxis: {
                    name:_xName,
                    type: 'category',
                    data: _data['axisData'],
                    axisLabel : {
                        interval: 0,
                        rotate: 20,
                        fontSize: '10',
                        formatter: function (val) {
                            var strs = val.split(''); //字符串数组
                            var str = ''
                            for (var i = 0, s; s = strs[i++];) { //遍历字符串数组
                                str += s;
                                if (!(i % 10)) str += '\n'; //按需要求余
                            }
                            return str
                        }
                    }
                },
                xAxis: {
                    name:_yName,
                    type: 'value',
                    minInterval:1
                },
                series: [{
                    data: _data['seriesData'],
                    type: 'bar',
                    barWidth: 25,
                    itemStyle: {
                        normal: {
                            color: function(params) {
                                //首先定义一个数组
                                var colorList = [
                                    '#C33531','#0AAF9F','#64BD3D','#EE9201','#29AAE3',
                                    '#B74AE5','#E89589'
                                ];
                                return colorList[params.dataIndex%colorList.length]
                            },
                            //以下为是否显示
                            label: {
                                show: false
                            }
                        }
                    }
                }]
            };
            break
    }
    this.create();
}
showChartBase.prototype.create = function () {
    var oThis = this;
    var myChart = echarts.init(document.getElementById(this.id));
    console.log(oThis.options);
    myChart.setOption(oThis.options);
}
